<?php

/**
 *
 * @link              http://www.kapler.cz
 * @since             1.0.0
 * @package           No_More_Altgr_F_Fullscreen
 *
 * @wordpress-plugin
 * Plugin Name:       No more AltGR+F fullscreen
 * Plugin URI:        http://kapler.cz/tag/wordpress/
 * Description:       This plugin removes AltGr+F (Ctrl+Alt+F respectively) TinyMCE shortcut for rarely used fullscreen mode as it blocks writing left square bracket used for shortcodes. Enjoy
 * Version:           1.0.0
 * Author:            Tomáš Kapler
 * Author URI:        http://www.kapler.cz
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}


// This is all the magic. Simply called on TinyMCE Init and removing CTRL+ALT+F shortcut defined in default TinyMCE package
add_action( 'wp_tiny_mce_init', function () {
?>
<script>
  jQuery( document ).on( 'tinymce-editor-init', function( event, editor ) {
    editor.shortcuts.remove( 'meta+alt+f' );
  }
                       );
</script>
<?php
});